Package org.gradle.api.tasks

## Interface AntBuilderAware

- All Known Subinterfaces:
    `AntlrSourceDirectorySet`, `ConfigurableFileCollection`, `ConfigurableFileTree`, `Configuration`, `FileCollection`, `FileTree`, `GroovySourceDirectorySet`, `ScalaSourceDirectorySet`, `SourceDirectorySet`, `SourceSetOutput`
  All Known Implementing Classes:
    `PatternSet`

      public interface AntBuilderAware

  An `AntBuilderAware` represents an object which can add itself to Ant tasks, using an `AntBuilder`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `addToAntBuilder​(java.lang.Object node, java.lang.String childNodeName)` |

- - ### Method Detail

    - #### addToAntBuilder

          java.lang.Object addToAntBuilder​(java.lang.Object node,
                                           java.lang.String childNodeName)